%def_disable static

Name: faac
Version: 1.25
Release: alt3

Summary: FAAC is a Freeware Advanced Audio Coder
License: GPL
Group: Sound
Url: http://www.audiocoding.com
Packager: Alexey Morsov <swi@altlinux.ru>

Source: http://prdownloads.sourceforge.net/%name/%name-%version.tar.bz2

Patch1: %name-%version-mp4v2-libs.patch
Patch2: %name-%version-pipe-and-configure.patch
Patch3: %name-%version-WAVEFORMATEXTENSIBLE.patch

Requires: lib%name = %version-%release

BuildRequires: libmpeg4ip-devel

%description
FAAC is a LC, MAIN and LTP profile MPEG2 and MPEG-4 AAC coder.

%package -n lib%name
Summary: Freeware Advanced Audio Coder (FAAC) libraries
Group: System/Libraries

%description -n lib%name
This package contains Freeware Advanced Audio Coder (FAAC) shared
libraries.

%package -n lib%name-devel
Summary: Development files for the FAAC AAC coder library
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package provides header files development libraries and
documentation for lib%name.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1


%__subst 's/\r$//' bootstrap configure.in Makefile.am

%build
%_buildshell ./bootstrap
%configure \
    %{subst_enable static}

%make_build

%install
%make_install DESTDIR=%buildroot install

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files
%_bindir/*
%doc docs/%name.html

%files -n lib%name
%_libdir/*.so.*
%doc ChangeLog NEWS README TODO

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%doc docs/lib%name.html

%changelog
* Thu Apr 05 2007 Alexey Morsov <swi@altlinux.ru> 1.25-alt3
- add patch for broken pipe
- patch configure.in a bit
- add patch for WAVEFORMATEXTENSIBLE structure
- fix spec for gear hasher build

* Thu Jan 11 2007 Alexey Morsov <swi@altlinux.ru> 1.25-alt2
- change maintainer

* Sat Aug 26 2006 Mikhail Zabaluev <mhz@altlinux.ru> 1.25-alt1
- Release 1.25
- Patch1: Remove -lstdc++ from libmpeg4ip-related linker flags
  add -lmp4v2 to frontend linker flags (bug 9821)
- Patch0 is obsolete

* Fri Jul 28 2006 Mikhail Zabaluev <mhz@altlinux.ru> 1.24-alt3
- Build with libmpeg4ip-devel for MP4 support (bug 9821)

* Fri Apr 21 2006 Mikhail Zabaluev <mhz@altlinux.ru> 1.24-alt2
- Patch0: Add -lm to libfaac link flags to resolve all symbols
- Cleaned up the build script

* Tue Jan 18 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.24-alt1.1
- rebuild aganst new faad.

* Mon May 31 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.24-alt1
- 1.24

* Sun Jan 25 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.23.1-alt0.5
- First build for Sisyphus.
